package es.um.atica.cursoj2ee.daos.impl;

import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;

import es.um.atica.cursoj2ee.daos.interfaces.ServicioPersistencia;
import es.um.atica.cursoj2ee.dtos.EstProyectos;

@Name("servicioPersistencia")
@Stateless
public class ServicioPersistenciaImpl implements ServicioPersistencia{

	@In
	private EntityManager entityManager;

	public List<EstProyectos> obtenerProyectos() {
		Query query = this.entityManager.createNamedQuery("getProyectos");
		List<EstProyectos> proyectos = query.getResultList();
		return proyectos;
	}

}
