package es.um.atica.cursoj2ee.das.interfaces;

import java.util.List;
import java.util.Map;

import es.um.atica.cursoj2ee.dtos.Comentario;
import es.um.atica.jpa.das.DataAccessService;

public interface ComentarioDataAccessService extends DataAccessService<Comentario> {

	int getMaxNumeroComentarioOfAnuncio(Long anuncioId);
	
	List<Comentario> findByQuery(Map<String, Object> parameters, int firstResult, int resultLimit);
	
	Long countTotalRecord(Map<String, Object> parameters);
	
}
